<?php
class CLMNumero extends AppColumna{
	
	protected $_sumatorio = false;
	protected $_decimales = 0;
	
	public function __construct($name, $valor, $cabecera, $decimales=0){
		parent::__construct($name, $valor, $cabecera);
		$this->tipo = 'numero';
		$this->_decimales = $decimales;
	}
	
	public function setSumatorio($estado){
		$this->_sumatorio = $estado;
	}
	
	
	public function getInfo(){
		$salida = parent::getInfo();
		$salida['sumatorio'] = $this->_sumatorio;
		$salida['decimales'] = $this->_decimales;
		return $salida;
	
	
	}
	
	
	public function reemplaza_datosCampo($datos){
		$dato = $this->getValor();
		$datos = AppResultadoListado::convertirFilaParaListado($datos);
		$dato = str_replace(array_keys($datos), array_values($datos), $dato);
		if (is_numeric($dato))
			$dato = number_format($dato, $this->_decimales);
		return $dato;
	}
	
	
	
}